Package org.h2gis.functions.spatial.edit

## Class ST_MultiplyZ.MultiplyZCoordinateSequenceFilter

- java.lang.Object
- - org.h2gis.functions.spatial.edit.ST_MultiplyZ.MultiplyZCoordinateSequenceFilter

All Implemented Interfaces:
  `org.locationtech.jts.geom.CoordinateSequenceFilter`

Enclosing class:
  ST_MultiplyZ

    public static class ST_MultiplyZ.MultiplyZCoordinateSequenceFilter
    extends Object
    implements org.locationtech.jts.geom.CoordinateSequenceFilter

Multiply the z value of each vertex of the Geometry by a double value.

### Constructor Summary

Constructors
`MultiplyZCoordinateSequenceFilter​(double z)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter​(org.locationtech.jts.geom.CoordinateSequence seq, int i)`
`boolean` `isDone()`
`boolean` `isGeometryChanged()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiplyZCoordinateSequenceFilter

    public MultiplyZCoordinateSequenceFilter​(double z)

### Method Detail

#### isGeometryChanged

    public boolean isGeometryChanged()

Specified by:
  `isGeometryChanged` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`

#### isDone

    public boolean isDone()

Specified by:
  `isDone` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`

#### filter

    public void filter​(org.locationtech.jts.geom.CoordinateSequence seq,
                       int i)

Specified by:
  `filter` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`